summaryrefslogtreecommitdiffstats
path: root/tools/kubernetes/k8s-cluster.sh
diff options
context:
space:
mode:
authorBryan Sullivan <bryan.sullivan@att.com>2018-01-10 08:07:30 -0800
committerBryan Sullivan <bryan.sullivan@att.com>2018-01-10 08:07:30 -0800
commitc02beb3505facd5ab514b9786203d6f73d6a5227 (patch)
tree027cbc9de5763e45031f7d76fc5f9ba7ae62ee56 /tools/kubernetes/k8s-cluster.sh
parent7a55e01763d943117f895cdbc8cab58968ea5963 (diff)
Use Helm chart to deploy Prometheus and Grafana
JIRA: MODELS-2 Change-Id: Ia7f39251a941b576df9f11791aad6f71f074fa0e Signed-off-by: Bryan Sullivan <bryan.sullivan@att.com>
Diffstat (limited to 'tools/kubernetes/k8s-cluster.sh')
-rw-r--r--tools/kubernetes/k8s-cluster.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/tools/kubernetes/k8s-cluster.sh b/tools/kubernetes/k8s-cluster.sh
index aa3f28f..65f19b5 100644
--- a/tools/kubernetes/k8s-cluster.sh
+++ b/tools/kubernetes/k8s-cluster.sh
@@ -46,6 +46,8 @@
#. Status: work in progress, incomplete
#
+trap 'fail' ERR
+
function fail() {
log $1
exit 1
@@ -227,7 +229,7 @@ function setup_k8s_master() {
log "Allow pod scheduling on master (nodeSelector will be used to limit them)"
kubectl taint node $HOSTNAME node-role.kubernetes.io/master:NoSchedule-
- log "Label node $HOSTNAME as 'master'"
+ log "Label node $HOSTNAME as 'role=master'"
kubectl label nodes $HOSTNAME role=master
}